
/* Copyright 1989-1991 UserLand Software, Inc.  All Rights Reserved.*/


#define __IAC__ /*so other modules can tell that we've been included*/


#ifndef __APPLEEVENTS__

	#include <AppleEvents.h>

#endif


typedef struct tyIACglobals { /*this global record helps keep param lists short*/

	AppleEvent *event; /*the current event being processed*/
	
	AppleEvent *reply; /*the reply to the current event*/
	
	long refcon; /*the refcon info passed with the message*/
	} tyIACglobals;
	
extern tyIACglobals IACglobals;

typedef pascal Boolean (*tyFScallback) (FSSpec *);



/*interapplication communication prototypes*/
	
	pascal Boolean IACinit (void);
	
	pascal Boolean IAChaveappleevents (void);
	
	pascal Boolean IACinstallhandler (AEEventClass, AEEventID, ProcPtr);
	
	pascal Boolean IACinstallcoercionhandler (DescType, DescType, ProcPtr);
	
	pascal Boolean IACnewverb (OSType, OSType, OSType, AppleEvent *);
	
	pascal Boolean IACsendverb (AppleEvent *, AppleEvent *);
	
	pascal Boolean IACdisposeverb (AppleEvent *);
	
	pascal OSType IACgetverbtoken (void);
	
	pascal short IACwaitroutine (EventRecord *, long *, RgnHandle *);
	
	pascal Boolean IACiserrorreply (Str255);
	
	pascal Boolean IACstringtotext (Str255, Handle *);

	pascal Boolean IACtexttostring (Handle, Str255);
	
	pascal Boolean IACpushstringparam (Str255, OSType);
	
	pascal Boolean IACpushCstringparam (Str255, OSType);
	
	pascal Boolean IACpushbooleanparam (Boolean val, OSType keyword);
	
	pascal Boolean IACpushshortparam (short, OSType);
	
	pascal Boolean IACpushlongparam (long, OSType);
	
	pascal short IACpushbinaryparam (Handle, OSType);
	
	pascal short IACpushtextparam (Handle, OSType);
	
	pascal Boolean IACgetbinaryparam (OSType, Handle *);
	
	pascal Boolean IACgetstringparam (OSType, Str255);
	
	pascal Boolean IACgetCstringparam (OSType, Str255);
	
	pascal Boolean IACgetbooleanparam (OSType, Boolean *);
	
	pascal Boolean IACgetshortparam (OSType, short *);
	
	pascal Boolean IACgetlongparam (OSType, long *);
	
	pascal Boolean IACgetrectparam (OSType, Rect *);
	
	pascal Boolean IACgetpointparam (OSType, Point *);
	
	pascal Boolean IACgettextparam (OSType, Handle *);
	
	pascal Boolean IACreturnboolean (Boolean);
	
	pascal Boolean IACreturnshort (short);
	
	pascal Boolean IACreturnlong (long);
	
	pascal Boolean IACreturnrect (Rect *);
	
	pascal Boolean IACreturnpoint (Point *);

	pascal Boolean IACreturntext (Handle);
	
	pascal Boolean IACreturnstring (Str255);
	
	pascal Boolean IACreturnbinary (Handle);
	
	pascal Boolean IACreturnerror (short, Str255);
	
	pascal void IACnothandlederror (void);
	
	pascal OSErr IACdrivefilelist (tyFScallback);
	
	pascal OSType IACgetsender (void);
